export default async function handler(req, res) {
    const { method, body, headers } = req;
    const targetUrl = 'https://bestinbd.com/projects/web/2309SAG/api/post-req-data/form-submit';

    console.log('Incoming request:', { method, headers, body });

    try {
        const response = await fetch(targetUrl, {
            method,
            headers,
            body,
        });

        console.log('Response from target URL:', response);

        const data = await response.json();
        res.status(response.status).json(data);
    } catch (error) {
        console.error('Error in proxy API route:', error);
        res.status(500).json({ error: 'An error occurred while proxying the request' });
    }
}