import InnerBanner from "@/components/InnerBanner";
import MissionVision from "@/components/about/MissionVision";
import Directors from "@/components/about/Directors";
import Accordion from "@/components/about/Accordion";
import {getAboutApi} from "@/api/about";
import OverviewUpdated from "@/components/OverviewUpdated";
import AllComponent from "@/components/about/AllComponent";

export async function metadata() {
    const getAboutData = await getAboutApi()
    const banner = getAboutData?.data?.sections?.find(
        (f) => f?.section_data?.template === "inner_banner"
    );

    return {
        title: {
            default: `${getAboutData?.data?.page_data?.meta_title} | SA Group of Industries`,
        },
        description: `${getAboutData?.data?.page_data?.meta_description}`,
        openGraph: {
            title: `${getAboutData?.data?.page_data?.og_title}`,
            description: `${getAboutData?.data?.page_data?.og_description}`,
            images: [
                {
                    url: `${banner?.images?.list?.[0]?.full_path}`,
                    alt: `${getAboutData?.data?.page_data?.meta_title}`,
                },
            ],
        },
    };
}
export default async function About() {

    const getAboutData = await getAboutApi()

    // //Refactor
    const banner = getAboutData?.data?.sections?.find(f=>f?.section_data?.template === 'inner_banner');
    const overview = getAboutData?.data?.sections?.find(f=>f?.section_data?.template === 'overview');
    const accordion = getAboutData?.data?.sections?.find(f=>f?.section_data?.template === 'about_accordion');
    const mission = getAboutData?.data?.sections?.find(f=>f?.section_data?.template === 'about_mission_vision');
    const directors = getAboutData?.data?.sections?.find(f=>f?.section_data?.template === 'directors');



    return (
        <>
            <InnerBanner title={banner?.section_data?.subtitle} img={banner?.images?.list?.[0]?.full_path}/>
            <OverviewUpdated
                      title={overview?.section_data?.short_desc}
                      subtitle={overview?.section_data?.subtitle}
                      description={overview?.section_data?.description}
                      subColor={'#FFFFFF'}
                      link={'/'}
            />
            <Directors data={directors}/>
            <Accordion data={accordion}/>
            <MissionVision data={mission}/>
            {/*<AllComponent/>*/}

        </>
    );
};


