import InnerBanner from "@/components/InnerBanner";
import {getProductApi} from "@/api/product";
import Consumer from "@/components/business/Consumer";
import Paper from "@/components/business/Paper";
import Service from "@/components/business/Service";
import AllBusiness from "@/components/business/AllBusiness";


export async function metadata() {
    const getAboutData = await getProductApi()
    const banner = getAboutData?.data?.sections?.find(
        (f) => f?.section_data?.template === "inner_banner"
    );

    return {
        title: {
            default: `${getAboutData?.data?.page_data?.meta_title} | SA Group of Industries`,
        },
        description: `${getAboutData?.data?.page_data?.meta_description}`,
        openGraph: {
            title: `${getAboutData?.data?.page_data?.og_title}`,
            description: `${getAboutData?.data?.page_data?.og_description}`,
            images: [
                {
                    url: `${banner?.images?.list?.[0]?.full_path}`,
                    alt: `${getAboutData?.data?.page_data?.meta_title}`,
                },
            ],
        },
    };
}

export default async function Portfolio() {

    const getPageData = await getProductApi();
//Refactor
    const banner = getPageData?.data?.sections?.find(f=>f?.section_data?.template === 'inner_banner');
    const products = getPageData?.all_products?.list;


    return (
        <>
            <InnerBanner title={banner?.section_data?.subtitle} img={banner?.images?.list?.[0]?.full_path} color={'#ffffff'}/>
            <Consumer data={products}/>
            <Paper data={products}/>
            <Service data={products}/>
            {/*<AllBusiness/>*/}
        </>

    );
};

