import InnerBanner from "@/components/InnerBanner";
import banner from "@/public/images/static/inner-banner.jpg"
import Philosophy from "@/components/career/Philosophy";
import TalentManagement from "@/components/career/TalentManagement";
import EmployeeEngagement from "@/components/career/EmployeeEngagement";
import EmployeeBenefits from "@/components/career/EmployeeBenefits";
import EventActivation from "@/components/career/EventActivation";
import SkillSafety from "@/components/career/SkillSafety";
import {getCareerApi} from "@/api/career";




export async function metadata() {
    const getAboutData = await getCareerApi()
    const banner = getAboutData?.data?.sections?.find(
        (f) => f?.section_data?.template === "inner_banner"
    );

    return {
        title: {
            default: `${getAboutData?.data?.page_data?.meta_title} | SA Group of Industries`,
        },
        description: `${getAboutData?.data?.page_data?.meta_description}`,
        openGraph: {
            title: `${getAboutData?.data?.page_data?.og_title}`,
            description: `${getAboutData?.data?.page_data?.og_description}`,
            images: [
                {
                    url: `${banner?.images?.list?.[0]?.full_path}`,
                    alt: `${getAboutData?.data?.page_data?.meta_title}`,
                },
            ],
        },
    };
}
export default async function Career() {

    const getCareerData = await getCareerApi()

    //Refactor
    const banner = getCareerData?.data?.sections?.find(f=>f?.section_data?.template === 'inner_banner');
    const philosophy = getCareerData?.data?.sections?.find(f=>f?.section_data?.template === 'employee_philosophy');
    const talent = getCareerData?.data?.sections?.find(f=>f?.section_data?.template === 'team_management');
    const engagement = getCareerData?.data?.sections?.find(f=>f?.section_data?.template === 'employee_engagement');
    const event = getCareerData?.data?.sections?.find(f=>f?.section_data?.template === 'event_activation');
    const benefits = getCareerData?.data?.sections?.find(f=>f?.section_data?.template === 'employee_benefits');
    const skillsafety = getCareerData?.data?.sections?.find(f=>f?.section_data?.template === 'skill_development');

    return (
        <>
            <InnerBanner title={banner?.section_data?.subtitle} img={banner?.images?.list?.[0]?.full_path} color={'#ffffff'}/>
            <Philosophy data={philosophy}/>
            <TalentManagement data={talent}/>
            <EmployeeEngagement data={engagement}/>
            <EventActivation data={event}/>
            <EmployeeBenefits data={benefits}/>
            <SkillSafety data ={skillsafety}/>
            {/*<AllCareer/>*/}
        </>
    );
};


