import InnerBanner from "@/components/InnerBanner";
import banner from "@/public/images/static/inner-banner.jpg"
import Address from "@/components/Contact/Address";
import MapForm from "@/components/Contact/MapForm";
import WorkHard from "@/components/WorkHard";
import {getContactApi} from "@/api/contact";



export async function metadata() {
    const getAboutData = await getContactApi()
    const banner = getAboutData?.data?.sections?.find(
        (f) => f?.section_data?.template === "inner_banner"
    );

    return {
        title: {
            default: `${getAboutData?.data?.page_data?.meta_title} | SA Group of Industries`,
        },
        description: `${getAboutData?.data?.page_data?.meta_description}`,
        openGraph: {
            title: `${getAboutData?.data?.page_data?.og_title}`,
            description: `${getAboutData?.data?.page_data?.og_description}`,
            images: [
                {
                    url: `${banner?.images?.list?.[0]?.full_path}`,
                    alt: `${getAboutData?.data?.page_data?.meta_title}`,
                },
            ],
        },
    };
}

export default async function Contact() {

    const getContactData = await getContactApi()

    const banner = getContactData?.data?.sections?.find(f=>f?.section_data?.template === 'inner_banner');
    const address = getContactData?.data?.sections?.find(f=>f?.section_data?.template === 'contact_address');
    const map = getContactData?.data?.sections?.find(f=>f?.section_data?.template === 'contact_map');
    const work = getContactData?.data?.sections?.find(f=>f?.section_data?.template === 'home_work_hard');

    return (
        <>
            <InnerBanner title={banner?.section_data?.subtitle} img={banner?.images?.list?.[0]?.full_path} data={getContactData} color={'#ffffff'}/>
            <Address data={address}/>
            <MapForm data={map}/>
            <WorkHard data={work}/>
            {/*<AllContact/>*/}
        </>
    );
};


