
import {getCsrApi} from "@/api/csr";
import AllCsr from "@/components/csr/AllCsr";
import InnerBanner from "@/components/InnerBanner";
import OverviewUpdated from "@/components/OverviewUpdated";
import CsrList from "@/components/csr/CsrList";

export async function metadata() {
    const getAboutData = await getCsrApi()
    const banner = getAboutData?.data?.sections?.find(
        (f) => f?.section_data?.template === "inner_banner"
    );

    return {
        title: {
            default: `${getAboutData?.data?.page_data?.meta_title} | SA Group of Industries`,
        },
        description: `${getAboutData?.data?.page_data?.meta_description}`,
        openGraph: {
            title: `${getAboutData?.data?.page_data?.og_title}`,
            description: `${getAboutData?.data?.page_data?.og_description}`,
            images: [
                {
                    url: `${banner?.images?.list?.[0]?.full_path}`,
                    alt: `${getAboutData?.data?.page_data?.meta_title}`,
                },
            ],
        },
    };
}

export default async function Home() {

    const getCsrData = await getCsrApi()

    //Refactor
    const banner = getCsrData?.data?.sections?.find(f=>f?.section_data?.template === 'inner_banner');
    const overview = getCsrData?.data?.sections?.find(f=>f?.section_data?.template === 'overview');
    const list = getCsrData?.data?.sections?.find(f=>f?.section_data?.template === 'csr_list');


    return (
        <>
            <InnerBanner title={banner?.section_data?.subtitle} img={banner?.images?.list?.[0]?.full_path} color={'#ffffff'}/>
            <OverviewUpdated
                subColor={'#ffffff'}
                title={overview?.section_data?.short_desc}
                subtitle={overview?.section_data?.subtitle}
                description={overview?.section_data?.description}
            />
            <CsrList data={list}/>
            {/*<AllCsr/>*/}
        </>
    );
};


