import InnerBanner from "@/components/InnerBanner";
import banner from "@/public/images/static/inner-banner.jpg"
import NewsListing from "@/components/news/NewsListing";
import {getNewsApi} from "@/api/news";
import AllNews from "@/components/news/AllNews";
import {getCsrApi} from "@/api/csr";

export async function metadata() {
    const getAboutData = await getNewsApi()
    const banner = getAboutData?.data?.sections?.find(
        (f) => f?.section_data?.template === "inner_banner"
    );

    return {
        title: {
            default: `${getAboutData?.data?.page_data?.meta_title} | SA Group of Industries`,
        },
        description: `${getAboutData?.data?.page_data?.meta_description}`,
        openGraph: {
            title: `${getAboutData?.data?.page_data?.og_title}`,
            description: `${getAboutData?.data?.page_data?.og_description}`,
            images: [
                {
                    url: `${banner?.images?.list?.[0]?.full_path}`,
                    alt: `${getAboutData?.data?.page_data?.meta_title}`,
                },
            ],
        },
    };
}


export default async function Home() {

    const getNewsData = await getNewsApi();

    //Refactor
    const banner = getNewsData?.data?.sections?.find(f=>f?.section_data?.template === 'inner_banner');
    const list = getNewsData?.blogs;

    return (
        <>
            <InnerBanner title={banner?.section_data?.subtitle} img={banner?.images?.list?.[0]?.full_path} color={'#ffffff'}/>
            <NewsListing data={list}/>
            {/*<AllNews/>*/}
        </>
    );
};


