"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Link from 'next/link'
import Title from "@/components/Title";
import reactHtmlParser from "react-html-parser";

const MyComponent = ({data}) => {
    return (
        <StyledComponent className={'address pt-120 pb-120'}>
            <Container>
                <Title text={'Address'} margin={'0 0 40px'}/>
                <Row>
                    {
                        data?.posts?.list && data?.posts?.list?.length > 0 &&
                        data?.posts?.list?.map((e,i)=>{
                            const phone = e?.data?.subtitle?.split(', ');
                            const email = e?.data?.short_desc?.split(', ');
                            return(
                                <Col md={6} className={'address__single fade-up'} key={i}>
                                    <div className="address__single__wrapper">
                                        <h5>
                                            {e?.data?.title}
                                        </h5>
                                        <div className="phone">
                                            <ul>
                                                {
                                                    phone &&
                                                    phone?.map((number,item)=>{
                                                        return(
                                                            <li key={item}>
                                                                <a href={`tel:${number}`}>{number}</a>
                                                            </li>
                                                        );
                                                    })
                                                }
                                            </ul>
                                        </div>
                                        <div className="mail">
                                            <ul>
                                                {
                                                    email &&
                                                    email?.map((email,z)=>{
                                                        return(
                                                            <li key={z}>
                                                                <a href={`mailto:${email}`}>{email}</a>
                                                            </li>
                                                        );
                                                    })
                                                }
                                            </ul>
                                        </div>
                                        <div className="location">
                                            <a href={`https://www.google.com/maps?q=${e?.data?.description}`} target={'_blank'}>{reactHtmlParser(e?.data?.description)}</a>
                                        </div>
                                    </div>
                                </Col>
                            );
                        })
                    }
                </Row>
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
    .address{
      &__single{
        &__wrapper{
            height: 100%;
          padding: 30px;
          background-color: #F9F9F9;
          h5{
            color: #137EC3;
            margin-bottom: 20px;
          }
          
          .phone{
            margin-bottom: 15px;
            ul{
              li{
                margin-bottom: 5px;
                a{
                  font-size: 16px;
                  line-height: 20px;
                  font-weight: 400;
                }
              }
            }
          }

          .mail{
            margin-bottom: 15px;
            ul{
              li{
                margin-bottom: 5px;
                a{
                  font-size: 16px;
                  line-height: 20px;
                  font-weight: 400;
                }
              }
            }
          }
          
          .location{
            a{
              font-size: 16px;
              line-height: 20px;
              font-weight: 400;
            }
          }
        }
      }
    }
`;

export default MyComponent;
