"use client";
import styled from "styled-components";
import Img from "@/components/Img";
import {Container} from "react-bootstrap";
import ImageParallax from "@/components/ImageParallax";


const InnerBanner = ({img, text, title, ratio, color, data}) => {


    return (
        <StyledInnerBanner className='InnerBanner' ratio={ratio} color={color}>
            <ImageParallax src={img}/>
            <Container>
                <h1 className={`split-up`}>{title ? title : ''}</h1>
            </Container>
        </StyledInnerBanner>
    );
};

const StyledInnerBanner = styled.section`
  padding-top: ${props => props?.ratio ? props?.ratio : 'calc(360 / 1366 * 100%)'};
  position: relative;
    overflow: hidden;
  background-color: #DDD;


  .container {
    position: absolute;
    //height: 100%;
    //top: 0;
    margin: auto;
    left: 0;
    right: 0;
    bottom: 92px;
    z-index: 2;
  }

  h1 {
    //position: absolute;
    //left: 15px;
    //bottom: 94px;
    color: ${props => props.color ? props.color : '#000000'};
    font-size: 48px;
    font-weight: 400;
    line-height: 52px;
    //text-transform: capitalize;
    z-index: 2;

    span {
      font-weight: 600;
      color: #ffffff;
    }
  }

  @media (min-width: 767px) {
    .title {
      width: 50%;
    }
  }

  @media (max-width: 767px) {
    //padding-top: 0;
    padding-top: calc(560 / 414 * 100%);
    .container {
      bottom: 69px;
    }

    .title {
      margin-bottom: 40px !important;
    }

    h1 {
      font-size: 40px;
      line-height: 45px;
    }
  }
`;

export default InnerBanner;
