import styled from "styled-components";
import { hover } from '@/styles/globalStyleVars';

export const Loading = () => {
    return (
        <StyledLoader className='loading'>
            <div className="loading__spin"/>
        </StyledLoader>
    );
};

const StyledLoader = styled.div`
  position: absolute;
  height: 100%;
  width: 100%;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.5);
  z-index: 9;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;

  .loading__spin {
    width: 50px;
    height: 50px;
    border: 5px solid #FFF;
    border-top-color: ${hover};
    border-radius: 50%;
    animation: spin 1s linear infinite;
  }

  @keyframes spin {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
`;
