"use client";
import {useEffect, useRef, useState} from 'react';
import styled from 'styled-components';
import Modal from "react-bootstrap/Modal";
import {Col, Container, Form, Row} from "react-bootstrap";
import SimpleBar from 'simplebar-react';
import 'simplebar-react/dist/simplebar.min.css';
import reactHtmlParser from "react-html-parser";
import Subtitle from "@/components/SubTitle";
import idcard from "@/public/images/dynamic/career/career.jpg"
import Image from "next/image";
import Button from "@/components/Button";

const PopupV1 = ({
                     show,
                     handleClose,
                     no_img,
                     item,
                     data,
                     img
                 }) => {


    let [open, setOpen] = useState(false);
    let [videoId, setVideo] = useState('');
    const modalRef = useRef(null);


    const popupData = data;
    const { subtitle, title, description } = data;

    const [winWidth, setWinWidth] = useState(true)
    useEffect(() => {
        if (window.innerWidth > 767) {
            setWinWidth(true)
        } else {
            setWinWidth(false)
        }
        window.addEventListener("resize", () => {
            if (window.innerWidth > 767) {
                setWinWidth(true)
            } else {
                setWinWidth(false)
            }
        });
    }, [])


    console.log('popupData', popupData)
    const [uploadText, setUploadText] = useState('Upload CV*')

    const [cv, setCv] = useState(null)
    const cvRef = useRef()

    const handleUpload = (event) => {
        const selectedFile = event.target.files[0];

        setCv(selectedFile);

        if (selectedFile) {
            const fileName = selectedFile.name;
            setUploadText(fileName);
            // You might want to remove or adjust this line depending on your styling
            document.querySelector('.gph_upload').classList.add('hide');
        }
    };


    return (

        <StyledModal>
            <Modal
                show={show}
                item={item}
                onHide={handleClose}
                backdrop="static"
                keyboard={false}
                className="gph_modal popup-version-one feature"
            >
                <SimpleBar className="main_scroll" style={{height: '100vh'}}>
                    <Modal.Body>
                        <Container className={'bar'}>
                            <div className={'for-close d-flex justify-content-between'}>
                                <Subtitle text={subtitle}/>
                                <div onClick={handleClose} className="modal-close ">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="17.414" height="17.414" viewBox="0 0 17.414 17.414">
                                        <g id="Group_21430" data-name="Group 21430" transform="translate(-1252.722 -58.222)">
                                            <line id="Line_3989" data-name="Line 3989" y2="22.627" transform="translate(1269.429 58.929) rotate(45)" fill="none" stroke="#000" stroke-linecap="round" stroke-width="1"/>
                                            <line id="Line_3990" data-name="Line 3990" y2="22.627" transform="translate(1269.429 74.929) rotate(135)" fill="none" stroke="#000" stroke-linecap="round" stroke-width="1"/>
                                        </g>
                                    </svg>
                                </div>

                            </div>
                        </Container>
                        <Container>
                            <Row>
                                <div className="modal-data d-flex">

                                    <Col sm={12} className='modal-data__content'>
                                        <div className="scroll-div">
                                            <SimpleBar autoHide={true} style={{maxHeight: 'calc(100vh - 100px)'}}>
                                                <h3>
                                                    {title}
                                                </h3>
                                                <p>
                                                    {reactHtmlParser(description)}
                                                </p>
                                            </SimpleBar>
                                        </div>
                                    </Col>
                                </div>
                            </Row>
                        </Container>
                    </Modal.Body>
                </SimpleBar>
            </Modal>
        </StyledModal>

    )
};


const StyledModal = styled.div`
  .modal-dialog {
    margin: 0;
  }


`;


export default PopupV1;
