"use client";
import styled from 'styled-components';
import {hover, text, title, title_ms60} from "@/styles/globalStyleVars";
import ReactHtmlParser from "react-html-parser";

const Title = ({
                   text,
                   fontSize,
                   fontWeight,
                   color,
                   letterSpacing,
                   lineHeight,
                   textTransform,
                   margin,
                   padding,
                   borderColor,
                   varient,
                   center,
                   classname,
                   small_text,
                    align
               }) => {


    return (

        <StyledTitle className={`title split-up ${classname}`}
                     fontSize={fontSize}
                     fontWeight={fontWeight}
                     color={color}
                     lineHeight={lineHeight}
                     LetterSpacing={letterSpacing}
                     textTransform={textTransform}
                     margin={margin}
                     padding={padding}
                     varient={varient}
                     center={center}
                     borderColor={borderColor}
                     textAlign={align}>
            <h2 className={''}>{ReactHtmlParser(text)} </h2>


        </StyledTitle>

    )
};


const StyledTitle = styled.div`
  margin: ${props => props.margin || '0px'};
  position: relative;
  width: 100%;
  font-family: ${title};
  text-align: ${props => props?.center ? 'center' : ''};
  padding: ${p => p.padding};

  h2 {
    // font-size: ${props => props.fontSize || '42'}px;
    // line-height: ${props => props.lineHeight || '50'}px;
    // font-weight: ${props => props.fontWeight || '400'};
    color: ${props => props.color || ''};
    text-align: ${props => props.textAlign || ''};
  }


  @media (max-width: 767px) {
    margin-bottom: 40px;
    padding: 0;
  }
`;


export default Title;














