"use client";
import  {useEffect, useState} from 'react';
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Image from "next/image";
import mission from '@/public/images/dynamic/about/mission.jpg';
import Subtitle from '@/components/SubTitle';
import Title from '@/components/Title';
import Img from "@/components/Img";
const MissionVision = ({data}) => {

    const [offset, setOffset] = useState(90)

    useEffect(() => {
        setOffset(document.querySelector(' .container').offsetLeft)
    }, [])

    return (
        <StyledComponent className={'mission-vision pt-120 pb-120'}>
            <Container>
                <Row>
                    {
                        data?.posts?.list && data?.posts?.list?.length > 0 &&
                        data?.posts?.list?.map((e,i)=>{
                            return(
                                <Col md={6} className={'mission-vision__single'} key={i}>
                                    <div className={'img-wrap reveal-img'}>
                                        <Img src={e?.images?.[0]?.full_path}/>
                                    </div>
                                    <Subtitle text={e?.data?.title} color={'#137EC3'} margin={'30px 0 0'}/>
                                    <Title text={e?.data?.subtitle} margin={'15px 0 0'}/>
                                </Col>
                            );
                        })
                    }
                </Row>
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
  background-color: #F9F9F9;
  .mission-vision{
    &__single{
        .img-wrap{
            position: relative;
            overflow: hidden;
            padding-top: calc(400 / 570 * 100%);
            border-radius: 0 50px !important;
            cursor: pointer;
            img{
                position: absolute;
                top: 0;
                left: 0;
                height: 100%;
                width: 100%;
                object-fit: cover;
                transform: scale(1);
                transition: transform .7s cubic-bezier(0.4, 0, 0, 1);
            }
            
            &:hover{
                img{
                    transform: scale(1.06);
                    transition: transform .7s cubic-bezier(0.4, 0, 0, 1);
                }
            }
        }
    }
  }
`;

export default MissionVision;
