"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import BusinessBox from "@/components/business/BusinessBox";
import Title from "@/components/Title";

const MyComponent = ({data}) => {
    console.log('products', data);
    const consumer_data = data?.filter((f=>f?.product_data?.product_type === 'consumer'));
    console.log('consumer', consumer_data);
    return (
        <StyledComponent className={'pt-120 pb-120'}>
            <Container>
                <Title text={'Consumer Goods Section'} margin={'0 0 60px'}/>
                <Row>
                    {
                        consumer_data && consumer_data?.length > 0 &&
                        consumer_data?.map((e,i)=>{
                            return(
                                <Col md={4} key={i}>
                                    <BusinessBox img={e?.images?.list?.[0]?.full_path} title={e?.product_data?.title} link={`/business-verticals/${e?.product_data?.slug}`}/>
                                </Col>
                            );
                        })
                    }
                </Row>
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`

    .col-md-4{
      margin-bottom: 30px;
    }
    
`;

export default MyComponent;
