"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Link from 'next/link'
import Title from "@/components/Title";

const MyComponent = ({data}) => {
    console.log('qaulity', data)
    return (
        <StyledComponent className={'pt-120 pb-120'}>
            <Container>
                <Title text={data?.[0]?.data?.subtitle} color={'#137EC3'} margin={'0 0 40px'}/>
                <Row className={'quality'}>
                    {
                        data && data?.length > 0 &&
                        data?.map((e,i)=>{
                            const items = e?.data?.description?.split(', ');
                            return(
                                <Col md={4} className={'quality__single'} key={i}>
                                    <div className={'quality__single__data'}>
                                        <div className="svg">
                                            <img src={e?.images?.[0]?.full_path}/>
                                        </div>
                                        <h5>{e?.short_desc}</h5>
                                        <ul>
                                            {
                                                items && items?.length>0 &&
                                                items?.map((x,y)=>{
                                                    return(
                                                        <li key={y}>{x}</li>
                                                    );
                                                })
                                            }
                                        </ul>
                                    </div>
                                </Col>
                            );
                        })
                    }
                </Row>
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
    background-color: #F9F9F9;
    .quality{
      &__single{
        height: auto;
        cursor: pointer;
        &__data{
          height: 100%;
          background-color: #2C7EC3;
          border-radius: 0 50px;
          padding: 60px 30px;
          
          .svg{
            display: flex;
            align-items: center;
            justify-content: center;
            height: 60px;
            width: 60px;
            border-radius: 50%;
            background-color: #ffffff;
            margin-bottom: 20px;
          }
          h5{
            color: #ffffff;
            margin-bottom: 30px;
          }
          
          ul{
            li{
              font-size: 16px;
              line-height: 20px;
              color: #ffffff;
              padding-bottom: 15px;
              margin-bottom: 20px;
              border-bottom: 1px solid rgba(255 255 255 / 0.5);
            }
          }
        }
      }
      
      @media(max-width: 767px){
        &__single{
          padding-bottom: 30px;
          &:last-child{
            padding-bottom: 0;
          }
        }
      }
    }
`;

export default MyComponent;
