"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Link from 'next/link'
import Image from "next/image";
import reactHtmlParser from "react-html-parser";

const MyComponent = ({title, desc, svg}) => {
    return (
        <StyledComponent className={'benefits fade-up'}>
            <div className="svg">
                <img src={svg ? svg : ''}/>
            </div>
            <h5>{reactHtmlParser(title ? title : 'Fully Subsidized <br> Lunch Facility')}</h5>
            <p>
                {
                    desc ? desc :
                        'We offer a fully subsidized lunch facility, ensuring our employees enjoy nutritious\n' +
                        'and delicious meals without any financial burden. This initiative reflects our dedication\n' +
                        'to employee welfare and creating a supportive workplace culture.'
                }
            </p>
        </StyledComponent>
    );
};

const StyledComponent = styled.div`
  height: 100%;
  padding: 50px 30px;
  border: 1px solid #137EC3;
  border-radius: 0 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  .svg{
    height: 80px;
    width: 80px;
    border: 1px solid #137EC3;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    margin-bottom: 30px;
  }
  
  h5{
    color: #137EC3;
    margin-bottom: 20px;
  }
`;

export default MyComponent;
