"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Link from 'next/link'
import Title from "@/components/Title";
import BenefitCard from "@/components/career/BenefitCard";
import benefit1 from "@/public/images/dynamic/career/benefit1.svg"
import benefit2 from "@/public/images/dynamic/career/benefit2.svg"
import benefit3 from "@/public/images/dynamic/career/benefit3.svg"
import benefit4 from "@/public/images/dynamic/career/benefit4.svg"
import benefit5 from "@/public/images/dynamic/career/benefit5.svg"
import benefit6 from "@/public/images/dynamic/career/benefit6.svg"

const MyComponent = ({data}) => {
    return (
        <StyledComponent className={'benefits pt-120 pb-120'}>
            <Container>
                <Row>
                    <Col md={12}>
                        <Title text={data?.section_data?.subtitle} margin={'0 0 40px'} align={'center'}/>
                    </Col>
                    {
                        data?.posts?.list && data?.posts?.list?.length > 0 &&
                        data?.posts?.list?.map((e,i)=>{
                            return(
                                <Col md={4} key={i}>
                                    <BenefitCard
                                        title={e?.data?.title}
                                        desc={e?.data?.description}
                                        svg={e?.images?.[0]?.full_path}
                                    />
                                </Col>
                            );
                        })
                    }
                </Row>
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
    background-color: #F9F9F9;
  
  .col-md-4{
    margin-bottom: 30px !important;
    &:nth-last-child(-n+3) {
      margin-bottom: 0; /* Remove margin-bottom */
    }
  }
`;

export default MyComponent;
