"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Link from 'next/link'
import Subtitle from "@/components/SubTitle";
import Title from "@/components/Title";
import Img from "@/components/Img";
import csr1 from "@/public/images/dynamic/career/e1.jpg";
import csr2 from "@/public/images/dynamic/career/e2.jpg";
import reactHtmlParser from "react-html-parser";

const MyComponent = ({data}) => {
    return (
        <StyledComponent className={'pt-120 pb-120 engagement'}>
            <Container>
                <Row>
                    <Col md={12} className={'engagement__top'}>
                        <Subtitle text={data?.section_data?.subtitle} color={'#137EC3'}/>
                        <Title text={data?.section_data?.short_desc} margin={'20px 0 0'}/>
                    </Col>
                    {
                        data?.posts?.list && data?.posts?.list?.length > 0 &&
                        data?.posts?.list?.map((e,i)=>{
                            return(
                                <Col md={6} className={'engagement__single'} key={i}>
                                    <div className={'engagement__single__img reveal-img'}>
                                        <Img src={e?.images?.[0]?.full_path}/>
                                    </div>
                                    <p>
                                        {reactHtmlParser(e?.data?.description)}
                                    </p>
                                </Col>
                            );
                        })
                    }
                </Row>
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
    background-color: #F9F9F9;
  .engagement{
    &__top{
      text-align: center;
      margin-bottom: 40px;
    }
    &__single{
      margin-bottom: 40px;
      &:last-child{
        margin-bottom: 0;
      }
      &:nth-last-child(2){
        margin-bottom: 0;
      }
      &__img{
        position: relative;
        overflow: hidden;
        padding-top: calc(400 / 570 * 100%);
        border-radius: 0 50px;
        cursor: pointer;
        margin-bottom: 20px;
        .global-image{
          img{
            transform: scale(1);
            transition: transform 0.3s ease-in-out;
          }
        }
        &:hover{
          .global-image{
            img{
              transform: scale(1.03);
              transition: transform 0.3s ease-in-out;
            }
          }
        }
      }
      p{
        color: #137EC3;
      }
    }
    
    @media(max-width: 767px){
      &__single{
        &:nth-last-child(2){
          margin-bottom: 40px !important;
        }
      }
    }
  }
`;

export default MyComponent;
