"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Link from 'next/link';
import Image from 'next/image';
import csr1 from '@/public/images/dynamic/career/e1.jpg';
import csr2 from '@/public/images/dynamic/career/e2.jpg';
import Img from "@/components/Img";

const MyComponent = () => {
    return (
        <StyledComponent className={'pt-120 pb-120'}>
            <Container className={'engagement'}>
                <Row>
                    <Col md={6} className={'engagement__single'}>
                        <div className={'engagement__single__img reveal-img'}>
                            <Img src={csr1}/>
                        </div>
                        <p>
                            An exhilarating start to the New Year at our Head Office! We ushered in 2022
                            with a day-long celebration filled with diverse gaming sessions that brought
                            employees together. From spontaneous participation to friendly competition,
                            the energy was contagious as our team embraced various games throughout the day.
                            Here’s to teamwork, laughter, and the promise of exciting moments in 2023.
                        </p>
                    </Col>
                    <Col md={6} className={'engagement__single'}>
                        <div className={'engagement__single__img reveal-img'}>
                            <Img src={csr2}/>
                        </div>
                        <p>
                            The prize-giving ceremony for the “এক অফিস শত গল্প” contest was held at head
                            office today. The prizes were handed over to the winners by our honorable MD Sir.
                            Congratulations to all the winners—we celebrate your achievements with sincere joy.
                        </p>
                    </Col>
                </Row>
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
    background-color: #F9F9F9;
  
  .engagement{
    &__single{
      margin-bottom: 40px;
      &:last-child{
        margin-bottom: 0;
      }
      &:nth-last-child(2){
        margin-bottom: 0;
      }
      &__img{
        position: relative;
        overflow: hidden;
        padding-top: calc(400 / 570 * 100%);
        border-radius: 0 50px;
        cursor: pointer;
        margin-bottom: 20px;
        .global-image{
          img{
            transform: scale(1);
            transition: transform 0.3s ease-in-out;
          }
        }
        &:hover{
          .global-image{
            img{
              transform: scale(1.03);
              transition: transform 0.3s ease-in-out;
            }
          }
        }
      }
      p{
        color: rgba(0 0 0 / .75);
      }
    }
  }
`;

export default MyComponent;
