"use client";
import styled from "styled-components";
import Link from "next/link";
import Image from "next/image";

const NewsBox = ({img, shortDesc, date}) => {
    return (
        <StyledComponent classname={'newsbox fade-up'}>
            <div className={'newsbox__single'}>
                <div className={'newsbox__single__top reveal-img'}>
                    <img src={img ? img : 'images/dynamic/news/news1.jpg'} alt={'news'}/>
                </div>
                <div className={'newsbox__single__bottom'}>
                    <p className={'date'}>{date ? date : '19 Sep 2023'}</p>
                    <p className={'short-desc split-up'}>{shortDesc ? shortDesc : 'Yasin Ilshafi Triumphs as Bangamata International Squash Tournament Concludes in Chattogram Club'}</p>
                </div>
            </div>
        </StyledComponent>
    );
};

const StyledComponent = styled.div`
  .newsbox{
    &__single{
      &__top{
        position: relative;
        padding-top: calc(250 / 370 * 100%);
        margin-bottom: 20px;
        img{
          position: absolute;
          top: 0;
          left: 0;
          height: 100%;
          width: 100%;
          border-radius: 0 50px 0 50px;
        }
      }
      &__bottom{
        .date{
          color: #137EC3;
          margin-bottom: 10px;
        }
        .short-desc{
          font-size: 20px;
          line-height: 30px;
          font-weight: 400;
          color: #000;
        }
      }
    }

    @media(max-width: 767px){
      &__single{
        &__top{
          padding-top: calc(240 / 345 * 100%);
        }
      }
    }
  }
`;

export default NewsBox;
