"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Link from 'next/link'
import SubTitle from "@/components/SubTitle";
import Title from "@/components/Title";
import Button from "@/components/Button";
import Image from "next/image";
import philosophy from "@/public/images/dynamic/career/philosophy.jpg"
import CareerPopup from "@/components/career/CareerPopup";
import {useState} from "react";
import reactHtmlParser from "react-html-parser";
import {Loading} from "@/components/Loading";

const MyComponent = ({data}) => {

    const [show, setShow] = useState(false);
    const [popupId, setPopupId] = useState()

    const handleClose = () => setShow(false);
    const handleShow = (e) => {
        setShow(true)
        setPopupId(e)
    }
   // State to manage loading spinner

    return (
        <StyledComponent className={"philosophy pt-120 pb-120"}>
            <Container>
                <Row>
                    <Col md={7} className={'philosophy__left'}>
                        <div className="philosophy__left__wrapper">
                            <SubTitle text={data?.section_data?.subtitle} color={'#137EC3'}/>
                            <Title text={data?.section_data?.short_desc} margin={'20px 0 40px'}/>
                            <p>
                                {reactHtmlParser(data?.section_data?.description)}
                            </p>
                            <div onClick={() => handleShow('e')}>
                                <Button src={'#'} text={'Apply Now'} margin={"40px 0 0"}/>
                            </div>
                        </div>
                    </Col>
                    <Col md={5} className={'philosophy__right'}>
                        <div className="philosophy__right__wrapper reveal-img">
                            <Image src={data?.images?.list?.[0]?.full_path} alt={''}
                                   blurDataURL="/images/static/blurbg.jpg"
                                   placeholder={"blur"} objectFit={'cover'} layout={'fill'}
                            />
                        </div>
                    </Col>
                </Row>
            </Container>
            <CareerPopup show={show} data={popupId} handleClose={handleClose}/>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
  position: relative;
  overflow: hidden;
    .philosophy{
      &__left{
        padding-right: 70px;
      }
      
      &__right{
        &__wrapper{
          position: relative;
          overflow: hidden;
          padding-top: calc(500 / 470 * 100%);
          border-radius: 0 50px;
          
          img{
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            object-fit: cover;
          }
        }
      }
      
      @media(max-width: 767px){
        &__left{
          padding-right: 15px;
          margin-bottom: 40px;
        }
      }
    }
`;

export default MyComponent;
