"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Link from 'next/link'
import Title from "@/components/Title";
import Image from "next/image";
import skill1 from "@/public/images/dynamic/career/skill1.jpg"
import skill2 from "@/public/images/dynamic/career/skill2.jpg"
import reactHtmlParser from "react-html-parser";

const MyComponent = ({data}) => {
    return (
        <StyledComponent className={'pt-120  skill'}>
            <Container>
                {
                    data?.posts?.list && data?.posts?.list?.length>0 &&
                    data?.posts?.list?.map((e,i)=>{
                        return(
                            <Row className={'skill__single pb-120 fade-up'} key={i}>
                                <Col md={4} className={'skill__single__left'}>
                                    <Title text={e?.data?.title}/>
                                </Col>
                                <Col md={8} className={'skill__single__right'}>
                                    <p>
                                        {reactHtmlParser(e?.data?.description)}
                                    </p>
                                    <div className="skill__single__right__group">
                                        {
                                            e?.images && e?.images?.length>0 &&
                                            e?.images?.map((elemnt,item)=>{
                                                return(
                                                    <div className="skill__single__right__group__wrapper reveal-img" key={item}>
                                                        <img src={elemnt?.full_path} alt={'skill'}/>
                                                    </div>
                                                );
                                            })
                                        }
                                    </div>
                                </Col>
                            </Row>
                        );
                    })
                }
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
    .skill{
      &__single{
        &__right{
          &__group{
            display: flex;
            gap: 30px;
            margin-top: 40px;
            &__wrapper{
              position: relative;
              overflow: hidden;
              border-radius: 15px;
              cursor: pointer;
              img{
                transform: scale(1);
                transition: transform 0.3s ease-in-out;
              }
              &:hover{
                img{
                  transform: scale(1.03);
                  transition: transform 0.3s ease-in-out;
                }
              }
            }
          }
        }
      }
      
      @media(max-width: 767px){
        &__single{
          &__right{
            &__group{
              flex-direction: column;
            }
          }
        }
      }
    }
`;

export default MyComponent;
