"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import Link from 'next/link'
import Subtitle from "@/components/SubTitle";
import Title from "@/components/Title";
import reactHtmlParser from "react-html-parser";

const MyComponent = ({data}) => {
    return (
        <StyledComponent className={'talent pt-120 pb-120'}>
            <Container>
                <Row>
                    <Col md={12}>
                        <div className={'talent__content fade-up'}>
                            <Subtitle text={data?.section_data?.subtitle} color={'#ffffff'}/>
                            <Title text={data?.section_data?.short_desc} color={'#ffffff'} margin={'20px 0 40px'}/>
                            <p className={'split-up'}>
                                {reactHtmlParser(data?.section_data?.description)}
                            </p>
                        </div>
                    </Col>
                </Row>
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
  background-color: rgba(44, 126, 195, .95);
  text-align: center;
    .talent{
      &__content{
        p{
          color: #ffffff;
        }
      }
    }
`;

export default MyComponent;
