"use client";
import styled from "styled-components";
import {Container, Row, Col} from "react-bootstrap";
import NewsBox from "@/components/NewsBox";
import Button from "@/components/Button";
import {gsap} from "gsap";
import {useState} from "react";
import {ScrollTrigger} from "gsap/ScrollTrigger";
import reactHtmlParser from "react-html-parser";
gsap.registerPlugin(ScrollTrigger);

const MyComponent = ({data}) => {

    //loadmore functionality
    const [itemsToShow, setItemsToShow] = useState(4);
    const [isCompleted, setIsCompleted] = useState(false)



    // const datalist = data?.filter((item) => {item?.data?.category_id === '18'});
    const datalist = data?.filter((item) => item?.data?.category_id !== 18);


    const handleLoadMore = () => {
        setItemsToShow((prevItemsToShow) => {
            const newItemsToShow = prevItemsToShow + 4;
            if (newItemsToShow >= datalist?.length) {
                setIsCompleted(true);
            }
            return newItemsToShow;
        });
        gsap.delayedCall(0.1, ScrollTrigger.refresh);
    };

    return (
        <StyledComponent className={'pt-120 pb-120'}>
            <Container className={'news'}>
                <Row>
                    {
                        datalist && datalist?.length>0 &&
                        datalist?.slice(0, itemsToShow)?.map((e, i)=>{
                            return(
                                <Col md={4} className={'news__single'} key={i}>
                                    <NewsBox
                                        img={e?.images?.list?.[0]?.full_path}
                                        title={reactHtmlParser(e?.data?.body)}
                                        link={e?.data?.slug}
                                    />
                                </Col>
                            );
                        })

                    }
                </Row>
                {
                    !isCompleted && datalist?.length > itemsToShow &&
                    <div className="loadmore-button" onClick={handleLoadMore}>
                        <Button text={'load more'}/>
                    </div>
                }
            </Container>
        </StyledComponent>
    );
};

const StyledComponent = styled.section`
    position: relative;
    overflow: hidden;
    .news{
      
      .row{
        //justify-content: center;
      }
      &__single{
        margin-bottom: 40px;
      }
    }

  .loadmore-button{
    .dc-btn{
      display: flex;
      justify-content: center;
    }
  }
`;

export default MyComponent;
